# pal2rgb

## Synopsis

pal2rgb [ options ] input.tif output.tif

## Description

pal2rgb converts a palette color image to a full color image by applying the colormap of the palette image to each sample to generate a full color RGB image.

## Options

Options that affect the interpretation of input data are:

-C numentries

  This option overrides the default behavior of pal2rgb in determining whether or not colormap entries contain 16-bit or 8-bit values. By default the colormap is inspected and if no colormap entry greater than 255 is found, the colormap is assumed to have only 8-bit values; otherwise 16-bit values (as required by the TIFF specification) are assumed. The `-C` option can be used to explicitly specify the number of bits for colormap entries: -C 8 for 8-bit values, -C 16 for 16-bit values.

Options that affect the output file format are:

-p planarconfig

  Explicitly select the planar configuration used in organizing data samples in the output image: -p contig for samples packed contiguously, and -p separate for samples stored separately. By default samples are packed.

-c compress

  Use the specified compression algorithm to encoded image data in the output file: -c packbits for Macintosh Packbits, -c lzw for Lempel-Ziv & Welch, -c zip for Deflate, -c none for no compression. If no compression-related option is specified, the input file’s compression algorithm is used.

-r striprows

  Explicitly specify the number of rows in each strip of the output file. If the `-r` option is not specified, a number is selected such that each output strip has approximately 8 kilobytes of data in it.

## Bugs

Only 8-bit images are handled.

## See also

tiffinfo (1), tiffcp (1), tiffmedian (1), libtiff (3tiff)